Subject: RE: [AAA-WG]: Issue 14: DCC typing issues

From: <[email-masked]>
Date: Wed, 28 Jan 2004 10:52:29 +0200

Harri Hakala wrote:
> 
> > - 8.24: Service-Parameter-Type should probably specify how these
> >   values are allocated, or who is responsible for selecting them 
> >   (and ensuring that they are unique within some context).
> Yes, that is intention. The previous AVP, 8.23 
> Service-Parameter-Info AVP, defines:
> ....The Service-Parameter-Type AVP defines the service parameter 
> type and the Service-Parameter-Value AVP contains the 
> parameter value. 
> The actual contents of these AVPs are not within the scope of this 
> document and SHOULD be defined in another Diameter application, 
> standards written by other standardization bodies, or service 
> specific documentation.....
> 
> Is this enough, or do you think that we need more specific statements
> how to values of Service-Parameter-Type should be specified?

I think we need something more... the values of Service-Parameter-Type 
need to be unique within some context (if they don't, the value is 
probably unnecessary?) If we just say that the values are defined in 
"some other document", two documents could use the same value
for completely different types of Service-Parameter-Value contents.

I guess the relevant question here is how widely the mapping from
Service-Parameter-Type values to Service-Parameter-Value types 
needs to be unique. If we want global uniqueness, IANA allocation 
(perhaps on First Come First Served basis) would be a good idea.

But perhaps uniqueness within Service-Identifier is enough? (In that
case, we should say so; meaning that whoever assigns a Service-Identifier
is also responsible for assigning Service-Parameter-Type values
for that service and ensuring their uniqueness.)

Best regards,
Pasi

---

From: "Harri Hakala (TU/LMF)" <[email-masked]>
Date: Wed, 28 Jan 2004 10:13:41 +0100

Hi Pasi,

> for that service and ensuring their uniqueness.)

I think this is good principle.
We will update the Service-Parameter-Type AVP according to your
suggestion.

Thanks.......Harri

---

From: "Leena Mattila (TU/LMF)" <[email-masked]>
Date: Wed, 28 Jan 2004 11:55:42 +0100

Hi Pasi,

thanks for the comments. See the answer for the IP address part below.

BR,
Leena 

> - 8.17: Should specify whether IPv4/IPv6 addresses are just
>   octets or textual representation (and for IPv6, which 
>   textual representation).
> 
The IP address itself is carried in the Redirect-Server-Address AVP
which is of type UTF8String. So, it will be the textual representation
that will be used. The Redirect-Address-Type AVP just specifies whether
the UTF8String contains an IP address, URL or SIP URI.
However, I agree, there is room for clarification in the description
as you pointed out. Would the following make it clearer?

Section 8.17
FROM:
The address type can be one of the following: 
    
      IPv4 Address                                       0 
         The address type is in form of IPv4 address, as defined in [RFC 
         791]. 
    
      IPv6 Address                                       1 
         The address type is in form of IPv6 address, as defined in [RFC 
         2373]. 
TO:
The address type can be one of the following:

      IPv4 Address                                       0 
         The address type is in form of "dotted-decimal" IPv4 address,
         as defined in [IPv4]. 
    
      IPv6 Address                                       1 
         The address type is in form of IPv6 address, as defined in
         [IPv6Addr]. The address is a text representation of the address
         in either the preferred or alternate text form [IPv6Addr].
         Conformant implementations MUST support the preferred form and
         SHOULD support the alternate text form for IPv6 addresses.

Section 15.1
ADD:
   [IPv4]      J. Postel. "Internet Protocol", STD 5, RFC 791, September 1981. 

   [IPv6Addr]  R. Hinden, S. Deering. "Internet Protocol Version 6 (IPv6)
               Addressing Architecture", RFC 3513, April 2003.

---

From: <[email-masked]>
Date: Fri, 30 Jan 2004 12:43:39 +0200

Hi Leena,

I have added your comments to Issue 14.

thanks,
John

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of
> ext Leena Mattila (TU/LMF)
> Sent: 28 January, 2004 12:56
> To: Eronen Pasi (Nokia-NRC/Helsinki); [email-masked]
> Subject: RE: [AAA-WG]: Issue 14: DCC typing issues
> 
> 
> Hi Pasi,
>